Subject: bug#20689: Option -with-x-toolkit

From: Glenn Morris <[email-masked]>
Date: Tue, 02 Jun 2015 02:23:15 -0400

Petr Hracek wrote:

> I don't know if the question is relevant as a bug but

The mailing list [email-masked] exists for Emacs questions that
aren't bugs.

> I would like to ask you for what is --with-x-toolkit used for?

Mainly about look'n'feel, ie personal preference.
Some people might prefer the older style of a Lucid/Motif build.

> Let's say that I setup --with-x-toolkit=gtk3 can it be a problem when
> emacs is run on KDE?

No.

Unless you are trying to cater to KDE purists who don't want any Gtk
stuff on their system (is that even possible?). But we don't have a Qt
port of Emacs anyway.